-- MySQL Administrator dump 1.4
--
-- ------------------------------------------------------
-- Server version	5.0.45-community-nt


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;

/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;


--
-- Create schema trainning
--

CREATE DATABASE IF NOT EXISTS trainning;
USE trainning;

--
-- Definition of table `clients`
--

DROP TABLE IF EXISTS `clients`;
CREATE TABLE `clients` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `name` varchar(45) NOT NULL default '',
  `job` varchar(20) NOT NULL default 'Other',
  `age` smallint(5) unsigned NOT NULL default '0',
  `single` tinyint(1) NOT NULL default '1',
  PRIMARY KEY  (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=12 DEFAULT CHARSET=latin1;

--
-- Dumping data for table `clients`
--

/*!40000 ALTER TABLE `clients` DISABLE KEYS */;
INSERT INTO `clients` (`id`,`name`,`job`,`age`,`single`) VALUES 
 (1,'Louise Smith','Teacher',29,0),
 (2,'Robert James','Engineer',34,0),
 (3,'Sarah Mills','Student',17,1),
 (4,'Albert Lewis','Actor',25,1),
 (5,'Melinda Parker','Doctor',43,0),
 (6,'John J. Rambo','Ex - Special Forces',61,1),
 (7,'Angus \"Mac\" MacGyver','Ex - Secret Agent',57,1),
 (8,'Chuck Norris','Actor',67,1),
 (9,'Connor MacLeod','Other',543,1),
 (10,'Rocky Balboa','Other',61,0),
 (11,'Aldriech Willahein','Doctor',44,0);
/*!40000 ALTER TABLE `clients` ENABLE KEYS */;


--
-- Definition of table `products`
--

DROP TABLE IF EXISTS `products`;
CREATE TABLE `products` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `product` varchar(20) NOT NULL,
  `value` decimal(10,2) NOT NULL default '0.00',
  `description` varchar(80) NOT NULL default '',
  PRIMARY KEY  (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=16 DEFAULT CHARSET=latin1;

--
-- Dumping data for table `products`
--

/*!40000 ALTER TABLE `products` DISABLE KEYS */;
INSERT INTO `products` (`id`,`product`,`value`,`description`) VALUES 
 (1,'Monitor LCD 19\"','799.00','Monitor LCD 19\" 190CW7CS Widescreen - Philips'),
 (2,'Monitor LCD 19\"','949.00','Monitor LCD Widescreen 19\" 196WT - LG'),
 (3,'Monitor LCD 22\"','1399.00','Monitor LCD 22\" Widescreen L226WT - LG'),
 (4,'Monitor LCD 22\"','1899.00','Monitor LCD 22\" Widescreen 225MS - Samsung'),
 (5,'Notebook','5499.00','Notebook DV2260BR Core 2 Duo T5300 1.73Ghz 2GB 120GB DVDRW Vista Business - HP'),
 (6,'Notebook','3999.00','Notebook DV2250BR Core Duo T2350 1.86Ghz 1GB 120GB DVDRW Vista Home Premium - HP'),
 (7,'Notebook','4999.00','Notebook F3SC Core 2 Duo T7100 1.8GHz 1GB 120GB DVD-RW 15.4\'\' Vista SE - Asus'),
 (8,'Notebook','3999.00','Notebook iBook G4 12.1\" - 1,33 GHz - 512 MB - 40 GB - Combo - Apple'),
 (9,'Palm','399.00','Palm Z 22 - PalmOne'),
 (10,'Smartphone','2599.00','Smartphone HP HW6945 - GSM'),
 (11,'Palm','1899.00','HP IPAQ HX2490 - HP'),
 (12,'Scanner','199.00','Scanner Scanjet 2400C USB 2.0 - HP'),
 (13,'Pendrive','239.00','Pendrive 4GB USB 2.0 - Ogma'),
 (14,'Test','777.77','Product isertion test'),
 (15,'Other Test','999.00','Yet another product test');
/*!40000 ALTER TABLE `products` ENABLE KEYS */;


--
-- Definition of table `sales`
--

DROP TABLE IF EXISTS `sales`;
CREATE TABLE `sales` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `c_id` int(10) unsigned NOT NULL,
  `p_id` int(10) unsigned NOT NULL,
  `date` date NOT NULL default '1900-01-01',
  PRIMARY KEY  (`id`),
  KEY `FK_salles_c_id` (`c_id`),
  KEY `FK_salles_p_id` (`p_id`),
  CONSTRAINT `FK_salles_c_id` FOREIGN KEY (`c_id`) REFERENCES `clients` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `FK_salles_p_id` FOREIGN KEY (`p_id`) REFERENCES `products` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=51 DEFAULT CHARSET=latin1;

--
-- Dumping data for table `sales`
--

/*!40000 ALTER TABLE `sales` DISABLE KEYS */;
INSERT INTO `sales` (`id`,`c_id`,`p_id`,`date`) VALUES 
 (1,1,1,'2006-02-10'),
 (2,2,2,'2000-01-24'),
 (3,3,3,'1975-05-17'),
 (4,4,4,'1983-08-08'),
 (5,5,5,'1985-03-06'),
 (6,6,6,'1985-04-19'),
 (7,7,7,'1991-02-09'),
 (8,8,8,'1995-12-14'),
 (9,1,9,'2005-03-15'),
 (10,2,10,'1978-08-10'),
 (11,3,11,'1984-04-28'),
 (12,4,12,'1982-01-20'),
 (13,5,13,'1984-05-05'),
 (14,6,1,'1992-11-22'),
 (15,7,2,'1981-11-29'),
 (16,8,3,'1999-11-01'),
 (17,1,4,'1985-12-08'),
 (18,2,5,'1989-08-20'),
 (19,3,6,'1979-09-05'),
 (20,4,7,'1971-05-15'),
 (21,5,8,'2002-09-20'),
 (22,6,9,'2001-03-01'),
 (23,7,10,'1973-12-03'),
 (24,8,11,'1996-06-04'),
 (25,1,12,'1979-04-18'),
 (26,2,13,'1980-10-15'),
 (27,3,1,'1992-01-30'),
 (28,4,2,'1988-01-03'),
 (29,5,3,'1977-10-27'),
 (30,6,4,'2001-09-12'),
 (31,7,5,'1978-10-10'),
 (32,8,6,'2000-03-21'),
 (33,1,7,'2004-06-19'),
 (34,2,8,'1991-07-09'),
 (35,3,9,'1998-07-27'),
 (36,4,10,'1970-01-28'),
 (37,5,11,'1980-07-05'),
 (38,6,12,'1996-02-29'),
 (39,7,13,'1982-04-19'),
 (40,8,1,'1981-03-28'),
 (41,1,2,'2005-02-22'),
 (42,2,3,'1979-01-14'),
 (43,3,4,'1979-12-17'),
 (44,4,5,'1993-07-01'),
 (45,5,6,'1975-12-20'),
 (46,6,7,'1995-12-02'),
 (47,7,8,'1977-07-21'),
 (48,8,9,'1999-10-16'),
 (49,1,10,'1984-01-05'),
 (50,2,11,'2005-10-19');
/*!40000 ALTER TABLE `sales` ENABLE KEYS */;




/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
